MCP Tools Reference: ces.googleapis.com

工具:create_agent

在指定應用程式中建立新代理程式。

下列範例示範如何使用 curl 叫用 create_agent MCP 工具。

Curl 要求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_agent",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

AgentService.CreateAgent 的要求訊息。

CreateAgentRequest

JSON 表示法
{
  "parent": string,
  "agentId": string,
  "agent": {
    object (Agent)
  }
}
欄位
parent

string

這是必要旗標,要在其中建立服務專員的應用程式資源名稱。

agentId

string

選用。代理程式要使用的 ID,會成為代理程式資源名稱的最終元件。如未提供,系統會自動為代理指派專屬 ID。

agent

object (Agent)

這是必要旗標,要建立的代理程式。

代理

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "modelSettings": {
    object (ModelSettings)
  },
  "instruction": string,
  "tools": [
    string
  ],
  "childAgents": [
    string
  ],
  "beforeAgentCallbacks": [
    {
      object (Callback)
    }
  ],
  "afterAgentCallbacks": [
    {
      object (Callback)
    }
  ],
  "beforeModelCallbacks": [
    {
      object (Callback)
    }
  ],
  "afterModelCallbacks": [
    {
      object (Callback)
    }
  ],
  "beforeToolCallbacks": [
    {
      object (Callback)
    }
  ],
  "afterToolCallbacks": [
    {
      object (Callback)
    }
  ],
  "createTime": string,
  "updateTime": string,
  "guardrails": [
    string
  ],
  "etag": string,
  "toolsets": [
    {
      object (AgentToolset)
    }
  ],
  "generatedSummary": string,
  "transferRules": [
    {
      object (TransferRule)
    }
  ],

  // Union field agent_type can be only one of the following:
  "llmAgent": {
    object (LlmAgent)
  },
  "remoteDialogflowAgent": {
    object (RemoteDialogflowAgent)
  }
  // End of list of possible types for union field agent_type.
}
欄位
name

string

ID。代理程式的專屬 ID。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

displayName

string

這是必要旗標,代理程式的顯示名稱。

description

string

選用。使用者可理解的代理說明。

modelSettings

object (ModelSettings)

選用。LLM 模型的設定。

instruction

string

選用。給大型語言模型模型的指示,引導代理程式的行為。

tools[]

string

選用。代理可用的工具清單。格式:projects/{project}/locations/{location}/apps/{app}/tools/{tool}

childAgents[]

string

選用。代理程式樹狀結構中的子項代理程式清單。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

beforeAgentCallbacks[]

object (Callback)

選用。在呼叫代理程式前執行的回呼。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

afterAgentCallbacks[]

object (Callback)

選用。呼叫代理程式後要執行的回呼。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

beforeModelCallbacks[]

object (Callback)

選用。在呼叫模型前執行的回呼。如果多次呼叫模型,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

afterModelCallbacks[]

object (Callback)

選用。模型呼叫後要執行的回呼。如果多次呼叫模型,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

beforeToolCallbacks[]

object (Callback)

選用。在叫用工具前執行的回呼。如果多次叫用工具,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

afterToolCallbacks[]

object (Callback)

選用。工具叫用後要執行的回呼。如果多次叫用工具,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

createTime

string (Timestamp format)

僅供輸出。建立代理程式的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

僅供輸出。上次更新代理程式的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

guardrails[]

string

選用。代理程式的防護措施清單。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

etag

string

Etag 用於確保物件在讀取 - 修改 - 寫入作業期間未變更。如果 etag 為空,更新作業會覆寫任何並行變更。

toolsets[]

object (AgentToolset)

選用。代理的工具集清單。

generatedSummary

string

僅供輸出。如果代理是由 LLM 助理產生,這個欄位會包含生成作業的描述性摘要。

transferRules[]

object (TransferRule)

選用。客服專員轉接規則。如果符合多項規則,系統會使用清單中的第一項規則。

聯集欄位 agent_type。代理程式類型。agent_type 只能是下列其中一個設定:
llmAgent

object (LlmAgent)

選用。預設代理程式類型。

remoteDialogflowAgent

object (RemoteDialogflowAgent)

選用。用於執行代理程式的遠端 Dialogflow 代理程式。如果設定這個欄位,系統會忽略所有其他代理程式層級的屬性。

注意:如果 Dialogflow 代理程式與應用程式位於不同專案,請將 roles/dialogflow.client 授予 CES 服務代理程式 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com

RemoteDialogflowAgent

JSON 表示法
{
  "agent": string,
  "flowId": string,
  "environmentId": string,
  "inputVariableMapping": {
    string: string,
    ...
  },
  "outputVariableMapping": {
    string: string,
    ...
  },
  "respectResponseInterruptionSettings": boolean
}
欄位
agent

string

這是必要旗標,Dialogflow 代理資源名稱。格式:projects/{project}/locations/{location}/agents/{agent}

flowId

string

選用。Dialogflow 代理程式中流程的流程 ID。

environmentId

string

選用。用於執行代理程式的 Dialogflow 代理程式環境 ID。如未指定,系統會使用草稿環境。

inputVariableMapping

map (key: string, value: string)

選用。將應用程式變數名稱對應至要傳送給 Dialogflow 代理程式做為輸入內容的 Dialogflow 工作階段參數名稱。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

outputVariableMapping

map (key: string, value: string)

選用。將 Dialogflow 會期參數名稱對應至應用程式變數名稱,以便在 Dialogflow 代理程式執行完畢後傳回 CES 代理程式。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

respectResponseInterruptionSettings

boolean

選用。指出是否要遵守 Dialogflow 代理程式中設定的訊息層級中斷設定。

  • 如果設為 false:Dialogflow 代理程式的所有回覆訊息都會遵循應用程式層級的插話設定。
  • 如果為 true:只有 allow_playback_interruption 設為 true 的回覆訊息可中斷,所有其他訊息則會遵循應用程式層級的插播設定。

InputVariableMappingEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

OutputVariableMappingEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

ModelSettings

JSON 表示法
{
  "model": string,

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
欄位
model

string

選用。代理程式應使用的 LLM 模型。如未設定,代理程式會沿用上層代理程式的模型。

聯集欄位 _temperature

_temperature 只能是下列其中一項:

temperature

number

選用。如果設定這項引數,LLM 模型就會使用這個溫度。溫度會控制模型回覆的隨機程度。溫度越低,生成的回覆就越容易預測。溫度越高,生成的回覆就越有創意。

回撥電話

JSON 表示法
{
  "description": string,
  "disabled": boolean,
  "proactiveExecutionEnabled": boolean,

  // Union field callback can be only one of the following:
  "pythonCode": string
  // End of list of possible types for union field callback.
}
欄位
description

string

選用。使用者可理解的回呼說明。

disabled

boolean

選用。回呼是否已停用。代理程式會忽略已停用的回呼。

proactiveExecutionEnabled

boolean

選用。如果啟用這項功能,系統也會對中繼模型輸出內容執行回呼。這項設定只會影響模型回呼後續作業。請謹慎啟用。通常在收到所有模型回覆後,才需要執行模型回呼。啟用主動執行功能可能會對執行費用和延遲時間造成負面影響,因此只應在極少數情況下啟用。

聯集欄位 callback。要執行的回呼。callback 只能是下列其中一個設定:
pythonCode

string

這是必要旗標,要為回呼執行的 Python 程式碼。

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 之間 (含),對應至 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z。

nanos

integer

以奈秒為單位的非負秒數小數。這個欄位是時間長度的奈秒部分,並非秒數的替代值。如果第二個值為負數,且包含分數,奈秒值仍須為非負數,且會向前計時。必須介於 0 至 999,999,999 之間 (含)。

AgentToolset

JSON 表示法
{
  "toolset": string,
  "toolIds": [
    string
  ]
}
欄位
toolset

string

這是必要旗標,工具集的資源名稱。格式:projects/{project}/locations/{location}/apps/{app}/toolsets/{toolset}

toolIds[]

string

選用。用於篩選工具集的工具 ID。

TransferRule

JSON 表示法
{
  "childAgent": string,
  "direction": enum (Direction),

  // Union field rule_type can be only one of the following:
  "deterministicTransfer": {
    object (DeterministicTransfer)
  },
  "disablePlannerTransfer": {
    object (DisablePlannerTransfer)
  }
  // End of list of possible types for union field rule_type.
}
欄位
childAgent

string

這是必要旗標,規則套用的子項代理程式資源名稱。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

direction

enum (Direction)

這是必要旗標,轉移方向。

聯集欄位 rule_type。規則類型。rule_type 只能是下列其中一個設定:
deterministicTransfer

object (DeterministicTransfer)

選用。規則:條件符合時,立即轉移至目標服務專員。

disablePlannerTransfer

object (DisablePlannerTransfer)

選用。這項規則會禁止規劃師轉移給目標服務專員。

DeterministicTransfer

JSON 表示法
{

  // Union field condition_type can be only one of the following:
  "expressionCondition": {
    object (ExpressionCondition)
  },
  "pythonCodeCondition": {
    object (PythonCodeCondition)
  }
  // End of list of possible types for union field condition_type.
}
欄位
聯集欄位 condition_type。要評估的條件。condition_type 只能是下列其中一個設定:
expressionCondition

object (ExpressionCondition)

選用。評估工作階段狀態條件的規則。如果條件評估結果為 true,就會發生轉移。

pythonCodeCondition

object (PythonCodeCondition)

選用。使用 Python 程式碼區塊評估條件的規則。如果條件評估結果為 true,就會發生轉移。

ExpressionCondition

JSON 表示法
{
  "expression": string
}
欄位
expression

string

這是必要旗標,cloud.api.Expression 條件的字串表示法。

PythonCodeCondition

JSON 表示法
{
  "pythonCode": string
}
欄位
pythonCode

string

這是必要旗標,要執行的 Python 程式碼。

DisablePlannerTransfer

JSON 表示法
{
  "expressionCondition": {
    object (ExpressionCondition)
  }
}
欄位
expressionCondition

object (ExpressionCondition)

這是必要旗標,如果條件評估結果為 true,規劃人員就無法轉移至目標代理。

輸出內容的結構定義

代理是基本建構模塊,可為大型語言模型 (LLM) 提供指令,以執行特定工作。

代理

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "modelSettings": {
    object (ModelSettings)
  },
  "instruction": string,
  "tools": [
    string
  ],
  "childAgents": [
    string
  ],
  "beforeAgentCallbacks": [
    {
      object (Callback)
    }
  ],
  "afterAgentCallbacks": [
    {
      object (Callback)
    }
  ],
  "beforeModelCallbacks": [
    {
      object (Callback)
    }
  ],
  "afterModelCallbacks": [
    {
      object (Callback)
    }
  ],
  "beforeToolCallbacks": [
    {
      object (Callback)
    }
  ],
  "afterToolCallbacks": [
    {
      object (Callback)
    }
  ],
  "createTime": string,
  "updateTime": string,
  "guardrails": [
    string
  ],
  "etag": string,
  "toolsets": [
    {
      object (AgentToolset)
    }
  ],
  "generatedSummary": string,
  "transferRules": [
    {
      object (TransferRule)
    }
  ],

  // Union field agent_type can be only one of the following:
  "llmAgent": {
    object (LlmAgent)
  },
  "remoteDialogflowAgent": {
    object (RemoteDialogflowAgent)
  }
  // End of list of possible types for union field agent_type.
}
欄位
name

string

ID。代理程式的專屬 ID。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

displayName

string

這是必要旗標,代理程式的顯示名稱。

description

string

選用。使用者可理解的代理說明。

modelSettings

object (ModelSettings)

選用。LLM 模型的設定。

instruction

string

選用。給大型語言模型模型的指示,引導代理程式的行為。

tools[]

string

選用。代理可用的工具清單。格式:projects/{project}/locations/{location}/apps/{app}/tools/{tool}

childAgents[]

string

選用。代理程式樹狀結構中的子項代理程式清單。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

beforeAgentCallbacks[]

object (Callback)

選用。在呼叫代理程式前執行的回呼。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

afterAgentCallbacks[]

object (Callback)

選用。呼叫代理程式後要執行的回呼。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

beforeModelCallbacks[]

object (Callback)

選用。在呼叫模型前執行的回呼。如果多次呼叫模型,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

afterModelCallbacks[]

object (Callback)

選用。模型呼叫後要執行的回呼。如果多次呼叫模型,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

beforeToolCallbacks[]

object (Callback)

選用。在叫用工具前執行的回呼。如果多次叫用工具,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

afterToolCallbacks[]

object (Callback)

選用。工具叫用後要執行的回呼。如果多次叫用工具,回呼就會執行多次。系統會按照清單中的順序,依序執行提供的回呼。如果回呼傳回覆寫的回應,執行作業就會停止,並略過所有剩餘的回呼。

createTime

string (Timestamp format)

僅供輸出。建立代理程式的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

僅供輸出。上次更新代理程式的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

guardrails[]

string

選用。代理程式的防護措施清單。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

etag

string

Etag 用於確保物件在讀取 - 修改 - 寫入作業期間未變更。如果 etag 為空,更新作業會覆寫任何並行變更。

toolsets[]

object (AgentToolset)

選用。代理的工具集清單。

generatedSummary

string

僅供輸出。如果代理是由 LLM 助理產生,這個欄位會包含生成作業的描述性摘要。

transferRules[]

object (TransferRule)

選用。客服專員轉接規則。如果符合多項規則,系統會使用清單中的第一項規則。

聯集欄位 agent_type。代理程式類型。agent_type 只能是下列其中一個設定:
llmAgent

object (LlmAgent)

選用。預設代理程式類型。

remoteDialogflowAgent

object (RemoteDialogflowAgent)

選用。用於執行代理程式的遠端 Dialogflow 代理程式。如果設定這個欄位,系統會忽略所有其他代理程式層級的屬性。

注意:如果 Dialogflow 代理程式與應用程式位於不同專案,請將 roles/dialogflow.client 授予 CES 服務代理程式 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com

RemoteDialogflowAgent

JSON 表示法
{
  "agent": string,
  "flowId": string,
  "environmentId": string,
  "inputVariableMapping": {
    string: string,
    ...
  },
  "outputVariableMapping": {
    string: string,
    ...
  },
  "respectResponseInterruptionSettings": boolean
}
欄位
agent

string

這是必要旗標,Dialogflow 代理資源名稱。格式:projects/{project}/locations/{location}/agents/{agent}

flowId

string

選用。Dialogflow 代理程式中流程的流程 ID。

environmentId

string

選用。用於執行代理程式的 Dialogflow 代理程式環境 ID。如未指定,系統會使用草稿環境。

inputVariableMapping

map (key: string, value: string)

選用。將應用程式變數名稱對應至要傳送給 Dialogflow 代理程式做為輸入內容的 Dialogflow 工作階段參數名稱。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

outputVariableMapping

map (key: string, value: string)

選用。將 Dialogflow 會期參數名稱對應至應用程式變數名稱,以便在 Dialogflow 代理程式執行完畢後傳回 CES 代理程式。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

respectResponseInterruptionSettings

boolean

選用。指出是否要遵守 Dialogflow 代理程式中設定的訊息層級中斷設定。

  • 如果設為 false:Dialogflow 代理程式的所有回覆訊息都會遵循應用程式層級的插話設定。
  • 如果為 true:只有 allow_playback_interruption 設為 true 的回覆訊息可中斷,所有其他訊息則會遵循應用程式層級的插播設定。

InputVariableMappingEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

OutputVariableMappingEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

ModelSettings

JSON 表示法
{
  "model": string,

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
欄位
model

string

選用。代理程式應使用的 LLM 模型。如未設定,代理程式會沿用上層代理程式的模型。

聯集欄位 _temperature

_temperature 只能是下列其中一項:

temperature

number

選用。如果設定這項引數,LLM 模型就會使用這個溫度。溫度會控制模型回覆的隨機程度。溫度越低,生成的回覆就越容易預測。溫度越高,生成的回覆就越有創意。

回撥電話

JSON 表示法
{
  "description": string,
  "disabled": boolean,
  "proactiveExecutionEnabled": boolean,

  // Union field callback can be only one of the following:
  "pythonCode": string
  // End of list of possible types for union field callback.
}
欄位
description

string

選用。使用者可理解的回呼說明。

disabled

boolean

選用。回呼是否已停用。代理程式會忽略已停用的回呼。

proactiveExecutionEnabled

boolean

選用。如果啟用這項功能,系統也會對中繼模型輸出內容執行回呼。這項設定只會影響模型回呼後續作業。請謹慎啟用。通常在收到所有模型回覆後,才需要執行模型回呼。啟用主動執行功能可能會對執行費用和延遲時間造成負面影響,因此只應在極少數情況下啟用。

聯集欄位 callback。要執行的回呼。callback 只能是下列其中一個設定:
pythonCode

string

這是必要旗標,要為回呼執行的 Python 程式碼。

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 之間 (含),對應至 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z。

nanos

integer

以奈秒為單位的非負秒數小數。這個欄位是時間長度的奈秒部分,並非秒數的替代值。如果第二個值為負數,且包含分數,奈秒值仍須為非負數,且會向前計時。必須介於 0 至 999,999,999 之間 (含)。

AgentToolset

JSON 表示法
{
  "toolset": string,
  "toolIds": [
    string
  ]
}
欄位
toolset

string

這是必要旗標,工具集的資源名稱。格式:projects/{project}/locations/{location}/apps/{app}/toolsets/{toolset}

toolIds[]

string

選用。用於篩選工具集的工具 ID。

TransferRule

JSON 表示法
{
  "childAgent": string,
  "direction": enum (Direction),

  // Union field rule_type can be only one of the following:
  "deterministicTransfer": {
    object (DeterministicTransfer)
  },
  "disablePlannerTransfer": {
    object (DisablePlannerTransfer)
  }
  // End of list of possible types for union field rule_type.
}
欄位
childAgent

string

這是必要旗標,規則套用的子項代理程式資源名稱。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

direction

enum (Direction)

這是必要旗標,轉移方向。

聯集欄位 rule_type。規則類型。rule_type 只能是下列其中一個設定:
deterministicTransfer

object (DeterministicTransfer)

選用。規則:條件符合時,立即轉移至目標服務專員。

disablePlannerTransfer

object (DisablePlannerTransfer)

選用。這項規則會禁止規劃師轉移給目標服務專員。

DeterministicTransfer

JSON 表示法
{

  // Union field condition_type can be only one of the following:
  "expressionCondition": {
    object (ExpressionCondition)
  },
  "pythonCodeCondition": {
    object (PythonCodeCondition)
  }
  // End of list of possible types for union field condition_type.
}
欄位
聯集欄位 condition_type。要評估的條件。condition_type 只能是下列其中一個設定:
expressionCondition

object (ExpressionCondition)

選用。評估工作階段狀態條件的規則。如果條件評估結果為 true,就會發生轉移。

pythonCodeCondition

object (PythonCodeCondition)

選用。使用 Python 程式碼區塊評估條件的規則。如果條件評估結果為 true,就會發生轉移。

ExpressionCondition

JSON 表示法
{
  "expression": string
}
欄位
expression

string

這是必要旗標,cloud.api.Expression 條件的字串表示法。

PythonCodeCondition

JSON 表示法
{
  "pythonCode": string
}
欄位
pythonCode

string

這是必要旗標,要執行的 Python 程式碼。

DisablePlannerTransfer

JSON 表示法
{
  "expressionCondition": {
    object (ExpressionCondition)
  }
}
欄位
expressionCondition

object (ExpressionCondition)

這是必要旗標,如果條件評估結果為 true,規劃人員就無法轉移至目標代理。

工具註解

破壞性提示:✅ | 等冪提示:❌ | 唯讀提示:❌ | 開放世界提示:❌